﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SLMitsuControls;
using System.Xml.Linq;
using System.Windows.Markup;
using System.Windows.Media.Imaging;

namespace NotreApplication
{
 public partial class Page : UserControl, IDataProvider 
 {
  public Page()
  {
   InitializeComponent();
  }

  private void video_MediaEnded(object sender, RoutedEventArgs e)
  {
   video.Position = new TimeSpan(0);
   video.Play();
  }

  private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
  {
   animLogo.Begin();
   //géo.SetData(this);
  }
  private void bFlickr_Click(object sender, RoutedEventArgs e)
  {
   string clé = "1e1313a40fe8dbe14d524141d90a1231";
   string url = "http://api.flickr.com/services/rest/?method=flickr.photos.search&api_key=" + clé + "&text=" + zeCritFlickr.Text;
   WebClient client = new WebClient();
   client.DownloadStringCompleted +=new DownloadStringCompletedEventHandler(client_DownloadStringCompleted);
   client.DownloadStringAsync(new Uri(url));
  }
  List<Image> listeImages = new List<Image>();

  void client_DownloadStringCompleted(object sender, DownloadStringCompletedEventArgs e)
  {
   stbCarrousel.Pause();
   int N = listeImages.Count;
   for (int n = 0; n < N; n++)
   {
    Image img = listeImages[0];
    GrImagesAnimées.Children.Remove(img);
    listeImages.RemoveAt(0);
    img = null;
   }
   listeImages.Clear();

   XDocument xml = XDocument.Parse(e.Result);

   var liste = from p in xml.Element("rsp").Element("photos").Elements("photo")
               select p;
   liste = liste.Take(6);
   N = liste.Count();
   for (int n = 0; n < N; n++)
   {
    string sXamlImage = "<Image xmlns='http://schemas.microsoft.com/client/2007' Width='200' Height='200' HorizontalAlignment='Left' VerticalAlignment='Top'/>";
    Image img = (Image)XamlReader.Load(sXamlImage);
    string sFarm = liste.ElementAt(n).Attribute("farm").Value;
    string sServer = liste.ElementAt(n).Attribute("server").Value;
    string sId = liste.ElementAt(n).Attribute("id").Value;
    string sSecret = liste.ElementAt(n).Attribute("secret").Value;
    string sUrl = "http://farm" + sFarm + ".static.flickr.com/" + sServer + "/" + sId + "_" + sSecret + ".jpg";

    double R = rail.Width / 2;
    double angle = 2 * 3.14 * n / N;
    double X = ActualWidth / 2 + R * Math.Cos(angle) - 75;
    double Y = ActualHeight / 2 - R * Math.Sin(angle) - 75;
    img.Margin = new Thickness(X, Y, 0, 0);
    ImageSource imgs = new BitmapImage(new Uri(sUrl));
    img.SetValue(Image.SourceProperty, imgs);
    GrImagesAnimées.Children.Add(img);
    listeImages.Add(img);
   }
   stbCarrousel.Begin();
  }

  public object GetItem(int index)
  {
   return pages[index];
  }
  public int GetCount()
  {
   return pages.Count;
  }
  List<Image> pages;
  private void UserControl_Loaded(object sender, RoutedEventArgs e)
  {
  pages = new List<Image> {
       new Image {Source=new BitmapImage(new Uri("Amsterdam.jpg", 
                  UriKind.Relative)), Stretch=Stretch.UniformToFill },
       new Image {Source=new BitmapImage(new Uri("Venise.jpg", UriKind.Relative)), 
              Stretch=Stretch.UniformToFill },
       new Image {Source=new BitmapImage(new Uri("Bruxelles.jpg", UriKind.Relative)), 
       Stretch=Stretch.UniformToFill },
        new Image {Source=new BitmapImage(new Uri("Moscou.jpg", UriKind.Relative)), 
       Stretch=Stretch.UniformToFill },
        new Image {Source=new BitmapImage(new Uri("Londres.jpg", UriKind.Relative)), 
       Stretch=Stretch.UniformToFill }
   };
  géo.SetData(this);

  }


 }
}
